logo
DATABASE RESOURCES PRICING ABOUT US

CVE-2022-39338

Description

user_oidc is an OpenID Connect user backend for Nextcloud. Versions prior to 1.2.1 did not properly validate discovery urls which may lead to a stored cross site scripting attack vector. The impact is limited due to the restrictive CSP that is applied on this endpoint. Additionally this vulnerability has only been shown to be exploitable in the Safari web browser. This issue has been addressed in version 1.2.1. Users are advised to upgrade. Users unable to upgrade should urge their users to avoid using the Safari web browser.


Affected Software


CPE Name Name Version
nextcloud:openid_connect_user_backend nextcloud openid connect user backend 1.2.1

Related